# Movable Type plugin for display indented categories.
#
# Release 1.00 (Aug 11, 2006)
#
# This software is provided as-is. You may use it for commercial or 
# personal use. If you distribute it, please keep this notice intact.
#
# Copyright (c) 2004-2006 Yujiro Araki

package MT::Plugin::IndentedCategories;

use strict;
use MT;
use base qw(MT::Plugin);

our $VERSION = '1.00';

my $plugin = MT::Plugin->new({
    name => 'Indented Categories',
    description => 'Indented categories',
    doc_link => 'http://www.koikikukan.com/archives/2006/08/11-001111.php',
    author_name => 'Yujiro Araki',
    author_link => 'http://www.koikikukan.com/',
    version => $VERSION,
});
MT->add_plugin($plugin);
MT->add_callback('bigpapi::template::list_entry', 1, $plugin, \&indented_categories);

sub indented_categories {
    my ($cb, $app, $template) = @_;

    my $old = <<HTMLOLD;
<select id="category_id-val" name="filter_val" onchange="enableFilterButton()">
<TMPL_LOOP NAME=CATEGORY_LOOP>
<option value="<TMPL_VAR NAME=CATEGORY_ID>"><TMPL_VAR NAME=CATEGORY_LABEL></option>
</TMPL_LOOP>
</select>
HTMLOLD
    $old = quotemeta($old);

    my $new = <<HTMLNEW;
<select name="filter_val" id="category_id-val" onchange="enableFilterButton()">
<TMPL_LOOP NAME="CATEGORY_LOOP">
<TMPL_IF NAME=CATEGORY_LABEL>
<option value="<TMPL_VAR NAME=CATEGORY_ID>"<TMPL_IF NAME="CATEGORY_IS_PRIMARY"> selected="selected"</TMPL_IF>><TMPL_VAR NAME=CATEGORY_LABEL_SPACER><TMPL_VAR NAME=CATEGORY_LABEL></option>
</TMPL_IF>
</TMPL_LOOP>
</select>
HTMLNEW

    $$template =~ s/$old/$new/;
}

1;
